
QGIS Application - Bug report #13161

GetLegendGraphics Server Error

2015-07-27 12:23 PM - Uroš Preložnik

Status: Closed

Priority: Severe/Regression

Assignee:

Category: QGIS Server

Affected QGIS version:2.10.0 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21224

Description

With QGIS server update to 2.10 call to certain legend images with GetLegendGraphics causes 500 Server Error (polygon symbols

seems OK).

Example URL: 

http://localhost/wms/eu_demo?SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetLegendGraphics&#38;FORMAT=image/pn

&#38;BOXSPACE=1&#38;LAYERSPACE=2&#38;SYMBOLSPACE=1&#38;SYMBOLHEIGHT=2&#38;LAYERFONTSIZE=8&#38;ITEMFONTSIZE=8&#38;LAYERS=airports&#38;DPI=96

FONTSIZE=8&#38;LAYERS=airports&#38;DPI=96

It worked normally in 2.8.

This is from QGIS server log file:

[3309][21:03:55] No server python plugins are available

[3309][21:03:55] ************new request***************

[3309][21:03:55] remote ip: 127.0.0.1

[3309][21:03:55] HTTP_USER_AGENT: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:39.0) Gecko/20100101 Firefox/39.0

[3309][21:03:55] BOXSPACE:1

[3309][21:03:55] DPI:96

[3309][21:03:55] FORMAT:image/png

[3309][21:03:55] ITEMFONTSIZE:8

[3309][21:03:55] LAYERFONTSIZE:8

[3309][21:03:55] LAYERS:airports

[3309][21:03:55] LAYERSPACE:2

[3309][21:03:55] MAP:/home/uros/GIS/projects/eu_demo.qgs

[3309][21:03:55] REQUEST:GetLegendGraphics

[3309][21:03:55] SERVICE:WMS

[3309][21:03:55] SYMBOLHEIGHT:2

[3309][21:03:55] SYMBOLSPACE:1

[3309][21:03:55] VERSION:1.3.0

History

#1 - 2015-07-30 01:49 PM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Target version changed from Version 2.10 to Future Release - High Priority

#2 - 2015-08-06 01:24 AM - Bernhard Ströbl

Further information: On my WMS-Server (QGIS 2.10, Ubuntu 14.04) only polygon layers' legend graphics are displayed; any GetLegendGraphic request
on a line or point layer results in a 500 error.

my Server: http://jena.de/kartenportal

#3 - 2015-08-19 02:47 AM - Tudor Bărăscu

I also encountered this issue in QGIS Master.

If someone wants to replicate it, you can download the VM described at http://qgep.github.io/docs/vm/index.html and run the following request

http://qgisplatform.demo/wms/qgep_en?SERVICE=WMS&VERSION=1.3.0&SLD_VERSION=1.1.0&REQUEST=GetLegendGraphic&FORMAT=

image/png&LAYER=vw_qgep_cover&STYLE=

#4 - 2015-08-20 08:15 AM - Tom Palan

I can confirm this bug with Version 2.10.0 on Linux (Debian Jessie AMD64). Apparently there is a segfault when requesting GetLegendGraphics.

#5 - 2015-09-18 12:35 AM - Marco Hugentobler

I have tested it, and it seems to be an x-server problem (seems some changes in legend rendering now trigger the need for an X-Server).

#6 - 2015-09-24 07:35 AM - Uroš Preložnik

Marco Hugentobler wrote:

I have tested it, and it seems to be an x-server problem (seems some changes in legend rendering now trigger the need for an X-Server).

What does that mean, can with certain configuration this work? Will this be fixed in next release?

thanks,

Uros

#7 - 2015-10-05 04:42 AM - Jürgen Fischer

- Subject changed from QGIS Server GetLegendGraphics Server Error to GetLegendGraphics Server Error

#8 - 2015-10-08 04:02 AM - Tom Palan

I compiled Debian packages from yesterdays (2015-10-07) git master, and it seems that the error is gone. But I also had to install 3 more packages to my

system (new dependencies): libqca2 libqwt5-qt4 libqca2-plugin-ossl. Maybe this fixed the error?

#9 - 2015-10-08 06:35 AM - Jürgen Fischer

Tom Palan wrote:

I compiled Debian packages from yesterdays (2015-10-07) git master, and it seems that the error is gone. But I also had to install 3 more packages

to my system (new dependencies): libqca2 libqwt5-qt4 libqca2-plugin-ossl. Maybe this fixed the error?
Probably not.  libqca2 and libqca2-plugin-ossl are for the new authentication system - that has been around in master for two weeks tops.  And libqwt5-qt4

shold not be now - but even if it was, IIRC it's only used to display histograms and the GPS information widget.  So that should be unrelated too and it must

be something else.

#10 - 2015-10-21 09:45 PM - Tudor Bărăscu

- Status changed from Open to Closed

I also tested and the issue is indeed gone.
